---
- import_playbook: lamp.yml
- hosts: debian
  tasks:
    - name: phpmyadmin/reconfigure-webserver
      debconf:
        name: phpmyadmin
        question: 'phpmyadmin/reconfigure-webserver'
        value: 'apache2'
        vtype: select

    - name: phpmyadmin/dbconfig-install
      debconf:
        name: phpmyadmin
        question: 'phpmyadmin/dbconfig-install'
        value: true
        vtype: boolean

    - name: phpmyadmin/mysql/admin-pass
      debconf:
        name: phpmyadmin
        question: 'phpmyadmin/mysql/admin-pass'
        value: '(password omitted)'
        vtype: string

    - name: install phpmyadmin
      package:
        name: phpmyadmin
        state: present

    - name : installation PyMySQL
      package:
        name: python3-pymysql
        state: present

    - name: Create database user with password and all database privileges
      community.mysql.mysql_user:
        name: bob
        password: 12345
        host: localhost
        priv: '*.*:ALL,GRANT'
        state: present
        login_unix_socket: /var/run/mysqld/mysqld.sock

